Subject: Re: [Lsr] [Gen-art] Genart last call review of draft-ietf-isis-mpls-elc-11

From: Alissa Cooper <[email-masked]>
Date: Tue, 19 May 2020 09:25:59 -0400

Mohit, thanks for your review. Acee, thanks for your responses. I entered a No Objection ballot.

Alissa

> On Apr 29, 2020, at 7:26 AM, Acee Lindem (acee) <acee=[email-masked]> wrote:
> 
> Hi Mohit, 
>  
> From: Mohit Sethi M <[email-masked] <mailto:[email-masked]>>
> Date: Wednesday, April 29, 2020 at 2:29 AM
> To: Acee Lindem <[email-masked] <mailto:[email-masked]>>, "[email-masked] <mailto:[email-masked]>" <[email-masked] <mailto:[email-masked]>>
> Cc: "[email-masked] <mailto:[email-masked]>" <[email-masked] <mailto:[email-masked]>>, "[email-masked] <mailto:[email-masked]>" <[email-masked] <mailto:[email-masked]>>, "[email-masked] <mailto:[email-masked]>" <[email-masked] <mailto:[email-masked]>>
> Subject: Re: Genart last call review of draft-ietf-isis-mpls-elc-11
>  
> HI Acee,
> 
> On 4/24/20 3:38 PM, Acee Lindem (acee) wrote:
>> Hi Mohit,
>>  
>> Speaking as document shepherd. See inline. 
>>  
>> On 4/24/20, 3:39 AM, "Mohit Sethi via Datatracker" <[email-masked]> <mailto:[email-masked]> wrote:
>>  
>>     Reviewer: Mohit Sethi
>>     Review result: Ready with Nits
>>  
>>     I am the assigned Gen-ART reviewer for this draft. The General Area
>>     Review Team (Gen-ART) reviews all IETF documents being processed
>>     by the IESG for the IETF Chair.  Please treat these comments just
>>     like any other last call comments.
>>  
>>     For more information, please see the FAQ at
>>  
>>     <https://trac.ietf.org/trac/gen/wiki/GenArtfaq> <https://trac.ietf.org/trac/gen/wiki/GenArtfaq>.
>>  
>>     Document: draft-ietf-isis-mpls-elc-11
>>     Reviewer: Mohit Sethi
>>     Review Date: 2020-04-24
>>     IETF LC End Date: 2020-05-05
>>     IESG Telechat date: Not scheduled for a telechat
>>  
>>     Summary: This document specifies how Entropy Label Capability (ELC) and Entropy
>>     Readable Label Depth (ERLD) are advertised using IS-IS. For advertising ELC, a
>>     flag in the Prefix Attribute Flags is used. For advertising ERLD, a Node MSD
>>     Advertisement is used.
>>  
>>     Major issues:
>>  
>>     Minor issues: The document is short and straightforward. For someone like me
>>     who is not familiar with the routing area, would it make sense to explain why
>>     signalling ELC information with MPLS is not sufficient (or what are the
>>     benefits of advertising with IS-IS)?
>>  
>> I guess I'm wondering what you mean "signaling ELC information with MPLS"? With segment routing, the IGPs can be the only choice for signaling ELC capability. I don’t believe this comment requires any action. 
> I hope that you don't expect a gen-art reviewer to be an expert on every topic. I certainly am NOT on expert on routing. I interpreted the following text in the draft:
> 
>> It also
>>    introduces the concept of Entropy Label Capability (ELC) and defines
>>    the signaling of this capability via MPLS signaling protocols.
> to imply that signaling ELC information with MPLS is possible but this draft defines a mechanism for signaling the same information with IS-IS. Maybe the need for this is very obvious for those in the routing domain in which case ignoring my comment is perfectly fine. 
>  
> Even though you are not an expert on routing, you should realize that “with MPLS” and “via MPLS signaling protocols” have very different connotations. If you reference section 3 of the reference document [RFC6790], you’ll the MPLS signaling protocols currently supporting ELC signaling. As I stated previously, with segment routing none of these protocols are required for deployment.
>  
> Thanks,
> Acee
> --Mohit
> 
>>  
>> Thanks,
>> Acee
>>  
>>  
>>     Nits/editorial comments:
>>  
>>     In section 3, "used as the ECL  Flag" should perhaps be "used as the ELC Flag"?
>>     In section 4, "IANA for EARLD-MSD" should perhaps be "IANA for ERLD-MSD"?
>>     In section 6, "ECL Flag (E-flag)." should perhaps be "ELC Flag (E-flag)."?
>>  
>>  
>>  
> _______________________________________________
> Gen-art mailing list
> [email-masked] <mailto:[email-masked]>
> https://www.ietf.org/mailman/listinfo/gen-art <https://www.ietf.org/mailman/listinfo/gen-art>